#ifndef INCLUDED_IN2D_SYMBOLOGY_IDENTIFIERS_H                /* Has this file been included before?  */
#define INCLUDED_IN2D_SYMBOLOGY_IDENTIFIERS_H                /* No, remember it has been now         */



typedef enum tagStcIdentifier
{
   ID_NULL                 = 0, //Not supported
   ID_EAN13                = 1,
   ID_EAN8                 = 2,
   ID_UPCA                 = 3,
   ID_UPCE                 = 4,
   ID_EAN13_ADD2           = 5,
   ID_EAN8_ADD2            = 6,
   ID_UPCA_ADD2            = 7,
   ID_UPCE_ADD2            = 8,
   ID_EAN13_ADD5           = 9,
   ID_EAN8_ADD5            = 10,
   ID_UPCA_ADD5            = 11,
   ID_UPCE_ADD5            = 12,
   ID_39                   = 13,
   ID_RESERVED1            = 14, //Not supported
   ID_ITF                  = 15,
   ID_25S                  = 16,
   ID_25M                  = 17,
   ID_RESERVED2            = 18, //Not supported
   ID_CODABAR              = 19,
   ID_AMES                 = 20, //Not supported
   ID_MSI                  = 21,
   ID_PLESSEY              = 22,
   ID_128                  = 23,
   ID_16K                  = 24, //Not supported
   ID_93                   = 25,
   ID_11                   = 26,
   ID_TELEPEN              = 27,
   ID_49                   = 28, //Not supported
   ID_39CPI                = 29,  
   ID_CDBCK_A              = 30,
   ID_CDBCK_F              = 31,
   ID_CDBCK_256            = 32, //Not supported
   ID_PDF                  = 33,
   ID_GS1_128              = 34,
   ID_ISBT128              = 35,
   ID_MICRO_PDF            = 36,
   ID_GS1_OD               = 37,
   ID_GS1_LI               = 38,
   ID_GS1_EX               = 39,
   ID_DATAMATRIX           = 40,
   ID_QR                   = 41,
   ID_MAXICODE             = 42,
   ID_GS1_OD_CCA           = 43,
   ID_GS1_LI_CCA           = 44,
   ID_GS1_EX_CCA           = 45,
   ID_GS1_128_CCA          = 46,
   ID_EAN13_CCA            = 47,
   ID_EAN8_CCA             = 48,
   ID_UPCA_CCA             = 49,
   ID_UPCE_CCA             = 50,
   ID_GS1_OD_CCB           = 51,
   ID_GS1_LI_CCB           = 52,
   ID_GS1_EX_CCB           = 53,
   ID_GS1_128_CCB          = 54,
   ID_EAN13_CCB            = 55,
   ID_EAN8_CCB             = 56,
   ID_UPCA_CCB             = 57,
   ID_UPCE_CCB             = 58,
   ID_GS1_128_CCC          = 59,
   ID_ISBN                 = 60,
   ID_POSTNET              = 61,
   ID_PLANET               = 62,
   ID_BPO                  = 63,
   ID_CANADAPOST           = 64,
   ID_AUSTRALIANPOST       = 65,
   ID_JAPANPOST            = 66,
   ID_DUTCHPOST            = 67,
   ID_CHINAPOST            = 68,
   ID_KOREANPOST           = 69, //Not supported
   ID_TLC39                = 70,
   ID_TRIOPTIC             = 71, //Not supported as a symbology, but as a derivative of code 39
   ID_ISMN                 = 72,
   ID_ISSN                 = 73,
   ID_AZTEC                = 74,
   ID_SWEDENPOST           = 75,
   ID_INFOMAIL             = 76,
   ID_MULTICODE            = 77,
   ID_INCOMPLETE_MULTICODE = 78,
   ID_INTELLIGENTMAIL      = 79,
   ID_HANXIN               = 80,
   ID_LAST                 = 80
} STC_IDENTIFIER;


#endif
